Commit ff67452a authored by Luca Giambonini's avatar Luca Giambonini

fix wrong dependencies validation

the to is the new pkg and from the old one. The code should then compare the dependencies from the old and new package version, and add or remove them accordignly.
parent 00a01acf
......@@ -234,7 +234,7 @@ void PlainUpgradeOperation::validate()
// Diff targets as well
if (!(processingOptions().testFlag(Akabei::SkipDependencies))) {
QStringList newTargets = QStringList() << d->from->name() << Helpers::unversionedTargets(d->from->provides());
QStringList newTargets = QStringList() << d->to->name() << Helpers::unversionedTargets(d->to->provides());
QStringList oldTargets = QStringList() << d->from->name() << Helpers::unversionedTargets(d->from->provides());
newTargets.removeDuplicates();
oldTargets.removeDuplicates();
......
......@@ -213,7 +213,7 @@ void PolkitUpgradeOperation::validate()
// Diff targets as well
if (!(processingOptions().testFlag(Akabei::SkipDependencies))) {
QStringList newTargets = QStringList() << d->from->name() << Helpers::unversionedTargets(d->from->provides());
QStringList newTargets = QStringList() << d->to->name() << Helpers::unversionedTargets(d->to->provides());
QStringList oldTargets = QStringList() << d->from->name() << Helpers::unversionedTargets(d->from->provides());
newTargets.removeDuplicates();
oldTargets.removeDuplicates();
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment